# Tutorials

In this folder you can find a collection of useful tutorials in order to understand the principles and the potential of **PyDMD**.

#### [Tutorial 1](tutorial-1-dmd.ipynb)
Here we show a basic application of the standard dynamic mode decomposition on a simple system in order to reconstruct and analyze it.

#### [Tutorial 2](tutorial-2-adv-dmd.ipynb)
Here we show a more complex application of the standard dynamic mode decomposition on a 2D system evolving in time, focusing on the advanced settings the class provides.

#### [Tutorial 3](tutorial-3-mrdmd.ipynb)
Here we show the application of the multi-resolution dynamic mode decomposition on a system that contains transient time events.

#### [Tutorial 4](tutorial-4-cdmd.ipynb)
Here we show the application of the compressed dynamic mode decomposition in order to decrease the computational cost required by decomposition.

#### [Tutorial 5](tutorial-5-fbdmd.ipynb)
Here we show the forward-backward dynamic mode decomposition on a dataset coming from a fluid dynamics problem.

#### More to come...
We plan to add more tutorials but the time is often against us. If you want to contribute with a notebook on a feature not covered yet we will be very happy and give you support on editing!
